# org.apache.maven.artifact.resolver

## Interfaces

- ArtifactCollector
- ArtifactResolver
- ResolutionListener
- ResolutionListenerForDepMgmt

## Classes

- ArtifactResolutionResult
- DebugResolutionListener
- DefaultArtifactCollector
- DefaultArtifactResolver
- ResolutionNode
- WarningResolutionListener

## Exceptions

- AbstractArtifactResolutionException
- ArtifactNotFoundException
- ArtifactResolutionException
- CyclicDependencyException
- MultipleArtifactsNotFoundException